#!/bin/sh

rl=2
if which runlevel; then
	rl=`runlevel | awk '{print $2}'`
fi

if [ $rl -lt 2 ]; then
	exit 0
fi
if [ $rl -gt 5 ]; then
	exit 0
fi

if [ -f $HOME/.bash_profile ]; then
	. $HOME/.bash_profile
fi

if [ -f $HOME/.zshenv ]; then
	. $HOME/.zshenv
fi

# Enable core dumps.
ulimit -c unlimited

for i in `seq 1 5`; do
	# Wait for the local email server to start.
	sleep 10
	# Try to start the watchdog
	perl $HOME/bin/emg_watchdog.pl && exit 0
done

exit 0

